1. SlegBE

    OP SlegBE Advanced Member
    Newcomer

    Joined:
    Jan 17, 2020
    Messages:
    53
    Country:
    Belgium
    Hello,

    I currently have one of these errors when I want to launch HBL or Goldleaf either in CFW 4.1 or Emunand 10.0.1
    Here is my config:

    SD card : SanDisk 128go exFat
    OFW : 4.1
    Use of Pegascape to launch Hekate.
    CFW: 4.1
    Emunand : Upgraded to firmware 10.0.1

    I really don't know how to solve the problem. You will find capture of error code if it can help.
    IMG_2168.JPG
    IMG_2169.JPG

    Crash report :
    2168-0002=> https://textup.fr/482265Pg

    2168-0003 => https://textup.fr/482266nq

    If you please can help me ;)
     
  2. Deleted User

    Deleted User Newbie

    Try not to use exfat. Format your SD card to fat32
     
  3. SlegBE

    OP SlegBE Advanced Member
    Newcomer

    Joined:
    Jan 17, 2020
    Messages:
    53
    Country:
    Belgium
    A tip to format in FAT32 in windows 10 ? SD card is too big (128gb)
     
  4. Deleted User

    Deleted User Newbie

    use guiformat. you can find it on google
     
  5. SlegBE

    OP SlegBE Advanced Member
    Newcomer

    Joined:
    Jan 17, 2020
    Messages:
    53
    Country:
    Belgium
    Yep, thanks for the tip ;-)

    Unfortunately no improvement.
    Same crash in CFW error 2168-0002.

    Not have created emunand yet. But I think I will have the same problem...
     
  6. MaxiBus

    MaxiBus GBAtemp Regular
    Member

    Joined:
    Jan 12, 2018
    Messages:
    204
    Country:
    Austria
    Maybe your sd card is damaged.
    EDIT: you could try to create emunand, it will fail with a damaged sd card most of the time
     
  7. SlegBE

    OP SlegBE Advanced Member
    Newcomer

    Joined:
    Jan 17, 2020
    Messages:
    53
    Country:
    Belgium
    I just create emunand without any error.
    Even in exFat or FAT32 I have a crash when I launch HBL or Goldleaf. (Tinfoil can be launched without crash)

    I can open choidujourNX without crash when launched. I will upgrade emunand to 10.0.1.

    I wonder why I ve got these error each time on these app.
     
  8. MaxiBus

    MaxiBus GBAtemp Regular
    Member

    Joined:
    Jan 12, 2018
    Messages:
    204
    Country:
    Austria
    i bet its a dying sd card
     
  9. SlegBE

    OP SlegBE Advanced Member
    Newcomer

    Joined:
    Jan 17, 2020
    Messages:
    53
    Country:
    Belgium
    IMG_2172.PNG IMG_2171.JPG

    I think I found something interesting.
    Initially the firmware was 4.0.0
    I upgraded with choidujouNX to 4.1.0
    But when I launch pegascape it show a detected firmware 4.0.0 (see capture).

    On pegascape website it is mentioned that HBL is not supported.

    So is it possible that my upgrade to 4.1 is not a true upgrade due to prevent fuse burning ?
     
  10. jnl1

    jnl1 GBAtemp Regular
    Member

    Joined:
    Jan 12, 2020
    Messages:
    144
    Country:
    Germany
    any custom themes installed which could cause this problem?
     
  11. SlegBE

    OP SlegBE Advanced Member
    Newcomer

    Joined:
    Jan 17, 2020
    Messages:
    53
    Country:
    Belgium
    No custom theme installed. Just mint install.
     
  12. SlegBE

    OP SlegBE Advanced Member
    Newcomer

    Joined:
    Jan 17, 2020
    Messages:
    53
    Country:
    Belgium
    Help please.

    What do you think about the detected firmware 4.0.0 by Pegascape who was the initial firmware before upgrade to 4.1.0 ?

    My Switch is a patched one. I upgraded firmware to 4.1.0 with ChoidujourNX. I selected 4.1.0 exFat support and the rest was disabled to prevent autoRCM .

    If I read correctly, to disabled autoRCM feature active automatically burn fuse at upgrade.
    Obviously my firmware is showing 4.1.0 properly in the system info.

    I also do a factory reset.

    In this case, why Pegascape still detect a 4.0.0 firmware ? Any idea ?
     
  13. Draxzelex

    Draxzelex GBAtemp Legend
    Member

    Joined:
    Aug 6, 2017
    Messages:
    15,585
    Country:
    United States
    Forget what Pegascape says, what firmware does the console say is installed?
     
  14. SlegBE

    OP SlegBE Advanced Member
    Newcomer

    Joined:
    Jan 17, 2020
    Messages:
    53
    Country:
    Belgium
    It is a 4.1.0 firmware...
     
  15. Draxzelex

    Draxzelex GBAtemp Legend
    Member

    Joined:
    Aug 6, 2017
    Messages:
    15,585
    Country:
    United States
    I mean Pegascape works on both 4.1 and 4.0 so its not that big of an issue right?
     
  16. SlegBE

    OP SlegBE Advanced Member
    Newcomer

    Joined:
    Jan 17, 2020
    Messages:
    53
    Country:
    Belgium
    Sorry for the delay I didn't see and not be alerted by your answer.

    Yes Pegascape works on 4.1 but in their doc it request at least 4.0.1 (It is weird that it detect a 4.0.0 (it was the old firmware before upgrade with choidujour) on Pegascape launcher)
    I've got a crash when I launch HBL and/or goldleaf...
     
  17. SlegBE

    OP SlegBE Advanced Member
    Newcomer

    Joined:
    Jan 17, 2020
    Messages:
    53
    Country:
    Belgium
    Info extracted from erro log file:
    Process Name: hbloader
    Program ID: 010000000000100d

    It is clearly identify that this process cause the crash.
    I previously mentionned that HBL is only supported on 4.0.1 to 4.1.0.

    If my firmware is well a 4.1, I wonder if there is not a relation between the Pegascape message (4.0.0 detected) and the crash.

    I will test to remove Homebrew menu and app store to see if I still have crash.
     
  18. SlegBE

    OP SlegBE Advanced Member
    Newcomer

    Joined:
    Jan 17, 2020
    Messages:
    53
    Country:
    Belgium
    No way, even if I remove Homebrew app store.
    Let's check the burnt fuses in Hekate.

    It show for my 4.1.0 firmware : 5 - 0
    According to the capture, it should be expected 5 - 1

    I don't know what is a non-retail burnt fuse but can it be involved in the pegascape message 4.0.0 detected firmware ?

    Capture.PNG

    IMG_2294[1].JPG
     
  19. SlegBE

    OP SlegBE Advanced Member
    Newcomer

    Joined:
    Jan 17, 2020
    Messages:
    53
    Country:
    Belgium
    I think I found someting interesting on https://switchbrew.org/wiki/Fuses

    FUSE_SPARE_BIT_5
    Must be non-zero on retail units, otherwise the first bootloader panics. On prototype units it can be zero, which tells the bootloader to choose from two pre-production master key seeds. If set to non-zero on a prototype unit, it tells the bootloader to choose from two master key seeds (with the second one being the same as the retail master key seed).

    [4.0.0+] This value is no longer used during boot.

    Meaning I own a protoype unit ? Curious because it is a patched one....
     
  20. Draxzelex

    Draxzelex GBAtemp Legend
    Member

    Joined:
    Aug 6, 2017
    Messages:
    15,585
    Country:
    United States
    You're not reading the chart correctly. The columns don't align with what Hekate is supposed to display. You're only supposed to see either the number on the left or right, not simultaneously. Only for non-retail devices will they ever see 1 on any firmware above 3.0. Everybody has X-0 or retail units including my own which is definitely not a prototype.
     
Draft saved Draft deleted
Loading...

Hide similar threads Similar threads with keywords - Error,